[![npm version](https://badge.fury.io/js/flatpickr.svg)](https://www.npmjs.com/package/flatpickr)
![Bower version](https://badge.fury.io/bo/flatpickr-calendar.svg)

## Preamble
![wew](https://cloud.githubusercontent.com/assets/11352152/14397836/d02d2f7c-fdad-11e5-9658-bedfb997ff52.png)
Almost every large SPA or project involves date and time input. There are limited options, however, if you also prefer to keep your projects lean and consequently stay away from heavy frameworks such as [jQuery](https://jsperf.com/jquery-vs-javascript-performance-comparison/22), or even Bootstrap. 

Unfortunately, current HTML5 implementations (`input[type='datetime']`) are neither aesthetically pleasing nor [widely supported](http://caniuse.com/#feat=input-datetime). So that's out of the way.

Appalled at the fact that I have to load 300kb of jquery and jquery UI or hook up bootstrap just to use a calendar, I created this \[date\]\[time\]picker that's powerful, easy to use, and looks good out of the box. 

Written in vanilla javascript, works with anything, anywhere.

## Screenshots


![light datetimepicker](https://cloud.githubusercontent.com/assets/11352152/14218528/b80adb0a-f822-11e5-9e89-0020345fa80d.PNG)
![dark datetimepicker](https://cloud.githubusercontent.com/assets/11352152/12774092/8574034c-ca0f-11e5-9656-14711e806479.png)

## Install & Use
Along with demos and documentation: http://chmln.github.io/flatpickr


See also:
* [ember-flatpickr addon](https://www.npmjs.com/package/ember-flatpickr)
* [Vue.js directive](https://github.com/chmln/flatpickr/blob/gh-pages/src/flatpickr.vue.js)



